com.pivotal.gemfirexd.internal.client.net

## Class ConnectionReply

- java.lang.Object
- - com.pivotal.gemfirexd.internal.client.net.ConnectionReply

Direct Known Subclasses:
  StatementReply

    public class ConnectionReply
    extends Object

### Method Summary

Methods
`void` `readCommitSubstitute(ConnectionCallbackInterface connection)`
`void` `readLocalCommit(ConnectionCallbackInterface connection)`
`void` `readLocalRollback(ConnectionCallbackInterface connection)`
`void` `readLocalXACommit(ConnectionCallbackInterface connection)`
`void` `readLocalXARollback(ConnectionCallbackInterface connection)`
`void` `readLocalXAStart(ConnectionCallbackInterface connection)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### readCommitSubstitute

    public void readCommitSubstitute(ConnectionCallbackInterface connection)
                              throws SqlException

Throws:
  `SqlException`

#### readLocalCommit

    public void readLocalCommit(ConnectionCallbackInterface connection)
                         throws SqlException

Throws:
  `SqlException`

#### readLocalRollback

    public void readLocalRollback(ConnectionCallbackInterface connection)
                           throws SqlException

Throws:
  `SqlException`

#### readLocalXAStart

    public void readLocalXAStart(ConnectionCallbackInterface connection)
                          throws SqlException

Throws:
  `SqlException`

#### readLocalXACommit

    public void readLocalXACommit(ConnectionCallbackInterface connection)
                           throws SqlException

Throws:
  `SqlException`

#### readLocalXARollback

    public void readLocalXARollback(ConnectionCallbackInterface connection)
                             throws SqlException

Throws:
  `SqlException`